import { SFC, ComponentType as CT } from 'react';
import { Entry } from '../state';
export interface PlaygroundProps {
    className?: string;
    style?: any;
    wrapper?: CT<any>;
    components: ComponentsMap;
    component: JSX.Element;
    position: number;
    code: string;
    scope: Record<string, any>;
    language?: string;
    showLivePreview?: boolean;
}
export interface LayoutProps {
    doc: Entry;
    [key: string]: any;
}
export interface ComponentsMap {
    notFound?: CT;
    layout?: CT<LayoutProps>;
    playground?: CT<PlaygroundProps>;
    [key: string]: any;
}
export interface ComponentsProviderProps {
    components: ComponentsMap;
}
export declare const ComponentsProvider: SFC<ComponentsProviderProps>;
export declare const useComponents: () => ComponentsMap;
